Ticket #3982 (closed task: fixed)

Opened 8 years ago

Last modified 8 years ago

Amazon アソシエイト Web サービスの仕様変更に伴う修正

Reported by: imamura623 Assigned to: urabe
Priority: major Milestone: OpenPNE2.12.13
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.14.0 Cc:

Description (Last modified by urabe)

概要

Amazon アソシエイト Web サービスの名称変更および仕様も変更になった。
サービスの名称は「Product Advertising API」に変更になり、2009年8月15日をもって、Product Advertising API は、署名認証を含まないリクエストを一切処理しなくなるため、このチケットにてそれに対応する。

関連情報

Product Advertising API(リンク作成用API、旧称:AmazonアソシエイトWebサービス)について
https://affiliate.amazon.co.jp/gp/advertising/api/detail/main.html?ie=UTF8&pf_rd_t=501&ref_=amb_link_83895036_14&pf_rd_m=AN1VRQENFRJN5&pf_rd_p=&pf_rd_s=right-1&pf_rd_r=&pf_rd_i=assoc_join_menu_paapi

修正内容

  • PEAR の Services_Amazon をバージョンアップ
  • Services_AmazonECS4クラスはobsoleteと指定されており、また、動作に問題がでるので、Services_Amazon を親クラスとして指定する

Change History

06/05/09 14:03:51 changed by imamura623

  • description changed.

07/02/09 11:19:58 changed by urabe

  • owner changed from nobody to urabe.
  • status changed from new to assigned.

07/09/09 12:36:13 changed by kiwa

  • keywords set to OpenPNE2.14.0.
  • milestone set to OpenPNE2.12.13.

今月中に対応したいところ

07/13/09 16:02:47 changed by urabe

  • keywords changed from OpenPNE2.14.0 to OpenPNE2.14.0 確認中.

以下のリビジョンでコミットしました。

07/13/09 18:19:50 changed by urabe

  • description changed.

07/14/09 17:30:13 changed by shingo

  • keywords changed from OpenPNE2.14.0 確認中 to OpenPNE2.14.0 差し戻し.
  • config.php内の記述場所ですが「Google AJAX Search API key」の下とかはどうでしょう?(「KEY」の登録がが必要な外部連携ものの記述をまとめる)
  • ここの記述は管理画面のSNS設定での項目なので不要です
    webapp/lib/OpenPNE/Config.php
    
     62             'AMAZON_ACCESS_KEY_ID',
     63             'AMAZON_SECRET_ACCESS_KEY',
    

07/14/09 18:18:47 changed by urabe

  • keywords changed from OpenPNE2.14.0 差し戻し to OpenPNE2.14.0 確認中.

以下のリビジョンでコミットしました

  • 12254 trunk
  • 12255 stable-2.12.x
  • 12256 stable-2.14.x

07/14/09 18:20:05 changed by urabe

リンクになっていないので追記します

07/14/09 21:17:38 changed by shingo

  • keywords changed from OpenPNE2.14.0 確認中 to OpenPNE2.14.0 差し戻し.
  • レビューしたいものを検索して、検索結果から「レビューを書く」をクリックすると「このページにはアクセスすることができません。」と表示されます

07/15/09 11:46:30 changed by urabe

  • keywords changed from OpenPNE2.14.0 差し戻し to OpenPNE2.14.0 確認中.

以下のリビジョンでコミットしました。

Amazonレビュー作成時のAmazonクラスの初期化の設定忘れを修正

07/15/09 12:21:04 changed by urabe

  • description changed.

07/15/09 19:08:30 changed by shingo

  • keywords changed from OpenPNE2.14.0 確認中 to OpenPNE2.14.0 差し戻し.

空白を揃えてください

230	            'AMAZON_ACCESS_KEY_ID'   => '', 
231	            'AMAZON_SECRET_ACCESS_KEY'   => '',

07/15/09 19:21:17 changed by urabe

  • keywords changed from OpenPNE2.14.0 差し戻し to OpenPNE2.14.0 確認中.

以下のリビジョンで修正しました。

07/15/09 19:23:21 changed by shingo

  • keywords changed from OpenPNE2.14.0 確認中 to OpenPNE2.14.0 テスト待ち.

確認しました

07/15/09 19:27:04 changed by kiwa

  • keywords changed from OpenPNE2.14.0 テスト待ち to OpenPNE2.14.0.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ないと判断してfixします。

07/16/09 17:36:01 changed by urabe

Amazon API 仕様変更 (2.10.x, 2.8.x 用)のパッチをコミットしました。
r12290